Scheduler Zero
REST APIAPI referenceWebhooks

List webhook subscriptions

Requires the `webhook:read` permission.

GET
/settings/webhooks

Requires the webhook:read permission.

Authorization

ApiKeyAuth
x-api-key<token>

API key created under Settings → API Keys. Scoped to a single workspace.

In: header

Query Parameters

offset?integer

Number of records to skip.

Range0 <= value
Default0
limit?integer

Page size (max 100).

Range1 <= value <= 100
Default20
search?string

Case-insensitive substring filter.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/settings/webhooks"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",      "name": "string",      "url": "http://example.com",      "secret": "string",      "campaignId": "13f8bf6d-dc27-4a04-bffe-6e5b13c19ddf",      "campaignName": "string",      "eventTypes": [        "first_email_reply"      ],      "isSlackWebhook": true,      "enabled": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "total": 0,    "totalPages": 0,    "currentPage": 0,    "pageSize": 0,    "offset": 0,    "hasNextPage": true,    "hasPreviousPage": true  }}